Opening field calculator eats up all CPU

2015-07-06 12:31 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Field calculator

Affected QGIS version:2.10.0 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 21143

Description

Opening the field calc, either from the main toolbar or from the table view, takes almosta a minute here, even for samll layers, and CPU

jumps close to 100%, thus making the whole system quite slow until one closes QGIS.

It's a regression over 2.8

History

#1 - 2015-07-06 01:05 AM - Jürgen Fischer

- Status changed from Open to Feedback

not reproducable on master - steps to not reproduce open airports.shp from qgis sample dataset and click on "open field calculator" in "attributes" toolbar.

#2 - 2015-07-06 01:15 AM - Paolo Cavallini

- File eq.zip added

It seems independent from the specific shp. Just tested on a clean --configpath, no plugins, with the supersimple attached shp.

#3 - 2015-07-06 01:35 AM - Nathan Woodrow

Can't confirm here too. Nothing in the debug log?

#4 - 2015-07-06 01:39 AM - Paolo Cavallini

Nothing. Anything else I can do to debug it?

#5 - 2015-07-06 02:35 AM - Giovanni Manghi

- Priority changed from High to Normal

not reproducable on 2.10 and master (both Linux and Windows). Lowering priority as it is likely a local issue.

#6 - 2015-07-07 10:26 AM - Paolo Cavallini
Tested on another machine, it works, so it must be a local issue. It is pretty dangerous however, so it would be good to debug it. I'm available for it, if

someone can provide me what to look at.

#7 - 2015-07-31 08:45 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Paolo Cavallini wrote:

so it must be a local issue.

reopen if replicable in any way also on systems other than yours.

Files

eq.zip 848 Bytes 2015-07-05 Paolo Cavallini
